package de.avatic.lcc.model.db.calculations;

import java.time.LocalDateTime;


public class CalculationJob {


    private Integer id;

    private LocalDateTime calculationDate;

    private CalculationJobState jobState;

    private Integer premiseId;

    private Integer validityPeriodId;

    private Integer propertySetId;

    private Integer userId;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public LocalDateTime getCalculationDate() {
        return calculationDate;
    }

    public void setCalculationDate(LocalDateTime calculationDate) {
        this.calculationDate = calculationDate;
    }

    public CalculationJobState getJobState() {
        return jobState;
    }

    public void setJobState(CalculationJobState jobState) {
        this.jobState = jobState;
    }

    public Integer getPremiseId() {
        return premiseId;
    }

    public void setPremiseId(Integer premiseId) {
        this.premiseId = premiseId;
    }

    public Integer getValidityPeriodId() {
        return validityPeriodId;
    }

    public void setValidityPeriodId(Integer validityPeriodId) {
        this.validityPeriodId = validityPeriodId;
    }

    public Integer getPropertySetId() {
        return propertySetId;
    }

    public void setPropertySetId(Integer propertySetId) {
        this.propertySetId = propertySetId;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

}
